Package org.eclipse.birt.chart.extension.datafeed

# Class DifferenceEntry

java.lang.Object
org.eclipse.birt.chart.datafeed.NumberDataPointEntry
org.eclipse.birt.chart.extension.datafeed.DifferenceEntry

All Implemented Interfaces:
  `IDataPointEntry`

public final class DifferenceEntry extends NumberDataPointEntry
DifferenceEntry

## Constructor Summary

Constructors
Constructor
Description
`DifferenceEntry(double dPositiveValue, double dNegativeValue)`
The constructor.
`DifferenceEntry(Object[] oaTwoComponents)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`com.ibm.icu.math.BigDecimal`
`getDivisor()`
Returns divisor of big number.
`String`
`getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`String`
`getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`double`
`getNegativeValue()`
`Number`
`getNegativeValueNumber()`
`Number[]`
`getNumberData()`
Gets number data from data set.
`double`
`getPositiveValue()`
`Number`
`getPositiveValueNumber()`
`boolean`
`isBigNumber()`
Checks if values are big number.
`boolean`
`isValid()`
Returns if the DataPointEntry is valid.
`void`
`setNegativeValue(double value)`
`void`
`setNegativeValue(Number value)`
`void`
`setNumberData(Number[] data)`
Sets number data into data set.
`void`
`setPositiveValue(double value)`
`void`
`setPositiveValue(Number value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DifferenceEntry

public DifferenceEntry(double dPositiveValue, double dNegativeValue)
The constructor.

### DifferenceEntry

public DifferenceEntry(Object[] oaTwoComponents)
The constructor.

Parameters:
  `oaTwoComponents` -

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getPositiveValue

public double getPositiveValue()

Returns:
  Returns the positive value.

### getPositiveValueNumber

public Number getPositiveValueNumber()

### setPositiveValue

public void setPositiveValue(double value)

Parameters:
  `value` - The positive value to set.

### setPositiveValue

public void setPositiveValue(Number value)

### getNegativeValue

public double getNegativeValue()

Returns:
  Returns the negative value.

### getNegativeValueNumber

public Number getNegativeValueNumber()

### setNegativeValue

public void setNegativeValue(double value)

Parameters:
  `end` - The negative value to set.

### setNegativeValue

public void setNegativeValue(Number value)

### getFormattedString

public String getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)
Description copied from interface: `IDataPointEntry`
Returns the formatted string representation of current object by given formatter and locale.

Parameters:
  `type` - data point type
  `formatter` - An formatter
  `locale` - Specific locale.
Returns:
  The string representation
See Also:
  - `#getDataPointTypes()`

### getFormattedString

public String getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)
Description copied from interface: `IDataPointEntry`
Returns the formatted string representation of current object by given formatter and locale.

Parameters:
  `formatter` - An formatter
  `locale` - Specific locale.
Returns:
  The string representation

### isValid

public boolean isValid()
Description copied from interface: `IDataPointEntry`
Returns if the DataPointEntry is valid.

Returns:
  value or not

### isBigNumber

public boolean isBigNumber()
Checks if values are big number.

Returns:

### getDivisor

public com.ibm.icu.math.BigDecimal getDivisor()
Returns divisor of big number.

Returns:

### setNumberData

public void setNumberData(Number[] data)
Description copied from class: `NumberDataPointEntry`
Sets number data into data set.

Specified by:
  `setNumberData` in class `NumberDataPointEntry`

### getNumberData

public Number[] getNumberData()
Description copied from class: `NumberDataPointEntry`
Gets number data from data set.

Specified by:
  `getNumberData` in class `NumberDataPointEntry`
Returns: